org.firebirdsql.management

## Class FBUser

- java.lang.Object
- - org.firebirdsql.management.FBUser

All Implemented Interfaces:
  User

    public class FBUser
    extends java.lang.Object
    implements User

A user in the Firebird Security Database.

Author:
  Steven Jardine , Roman Rokytskyy

### Constructor Summary

Constructors
Constructor and Description
`FBUser()` Create an instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getFirstName()`
`int` `getGroupId()`
`java.lang.String` `getLastName()`
`java.lang.String` `getMiddleName()`
`java.lang.String` `getPassword()` Returns the password as set by setPassword.
`int` `getUserId()`
`java.lang.String` `getUserName()`
`int` `hashCode()`
`void` `setFirstName(java.lang.String firstName)` Optional first name of the person using this user name.
`void` `setGroupId(int groupId)` Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation
`void` `setLastName(java.lang.String lastName)` Optional last name of the person using this user name.
`void` `setMiddleName(java.lang.String middleName)` Optional middle name of the person using this user name.
`void` `setPassword(java.lang.String password)` Password for the specified user.
`void` `setUserId(int userId)` Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation
`void` `setUserName(java.lang.String userName)` User name to create in security database.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FBUser

    public FBUser()

Create an instance of this class.

### Method Detail

#### getUserName

    public java.lang.String getUserName()

Specified by:
  `getUserName` in interface `User`
Returns:
  the username in the security database.

#### setUserName

    public void setUserName(java.lang.String userName)

Description copied from interface: `User`
User name to create in security database. Maximum length is 31 characters. Mandatory for all operations. Must be unique.

Specified by:
  `setUserName` in interface `User`
Parameters:
  `userName` - User name

#### getPassword

    public java.lang.String getPassword()

Description copied from interface: `User`
Returns the password as set by setPassword. This will return null in most cases and is only provided for add and update user functionality.

Specified by:
  `getPassword` in interface `User`
Returns:
  the password for the specified user.

#### setPassword

    public void setPassword(java.lang.String password)

Description copied from interface: `User`
Password for the specified user. Maximum length is 31 characters. Only first 8 characters are significant.

Specified by:
  `setPassword` in interface `User`
Parameters:
  `password` - Password

#### getFirstName

    public java.lang.String getFirstName()

Specified by:
  `getFirstName` in interface `User`
Returns:
  first name of the person using this user name.

#### setFirstName

    public void setFirstName(java.lang.String firstName)

Description copied from interface: `User`
Optional first name of the person using this user name.

Specified by:
  `setFirstName` in interface `User`
Parameters:
  `firstName` - First name

#### getMiddleName

    public java.lang.String getMiddleName()

Specified by:
  `getMiddleName` in interface `User`
Returns:
  middle name of the person using this user name.

#### setMiddleName

    public void setMiddleName(java.lang.String middleName)

Description copied from interface: `User`
Optional middle name of the person using this user name.

Specified by:
  `setMiddleName` in interface `User`
Parameters:
  `middleName` - Middle name

#### getLastName

    public java.lang.String getLastName()

Specified by:
  `getLastName` in interface `User`
Returns:
  last name of the person using this user name.

#### setLastName

    public void setLastName(java.lang.String lastName)

Description copied from interface: `User`
Optional last name of the person using this user name.

Specified by:
  `setLastName` in interface `User`
Parameters:
  `lastName` - Last name

#### getUserId

    public int getUserId()

Specified by:
  `getUserId` in interface `User`
Returns:
  user id number.

#### setUserId

    public void setUserId(int userId)

Description copied from interface: `User`
Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation

Specified by:
  `setUserId` in interface `User`
Parameters:
  `userId` - Id of the user

#### getGroupId

    public int getGroupId()

Specified by:
  `getGroupId` in interface `User`
Returns:
  group id number.

#### setGroupId

    public void setGroupId(int groupId)

Description copied from interface: `User`
Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation

Specified by:
  `setGroupId` in interface `User`
Parameters:
  `groupId` - Id of the group

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`